Problems building C extension for Python 2.0

David Bolen db3l at fitlinxx.com
Sat Nov 4 00:04:18 CET 2000


"Fredrik Lundh" <fredrik at effbot.org> writes:

> Duncan Grisby wrote:
> > >I'm using VC++ 5, is this the problem?
> >
> > Yes. Python 2.0 is compiled with VC++ 6. VC++ 5 can't link with things
> > compiled with VC++ 6.
> 
> fwiw, I have no trouble doing that, using VC5 with all
> possible service packs in place...  strange.

It's an issue with the linker - I'm not sure if service packs on VC5
eventually updated this (I think it only showed up with VC6), but
there are other packages (for example the SDK) that also update the
linker or provide a newer version that might show up earlier on the path.

--
-- David
-- 
/-----------------------------------------------------------------------\
 \               David Bolen            \   E-mail: db3l at fitlinxx.com  /
  |             FitLinxx, Inc.            \  Phone: (203) 708-5192    |
 /  860 Canal Street, Stamford, CT  06902   \  Fax: (203) 316-5150     \
\-----------------------------------------------------------------------/



More information about the Python-list mailing list